## bacula 1.36.1

=== src/bimagemgr/Makefile ===
# Makefile to install bimagemgr utility
# 29 Aug 2004 D. Scott Barninger

BINOWNER=root
BINGROUP=root
DATAOWNER=apache
DATAGROUP=apache
CGIDIR=/var/www/cgi-bin
DOCDIR=/var/www/html
SYSCONFDIR=/etc/bacula
INSTALL=install

all:	install

install:
	$(INSTALL) -d $(DESTDIR)$(CGIDIR)
	$(INSTALL) -d $(DESTDIR)$(DOCDIR)
	$(INSTALL) -d $(DESTDIR)$(SYSCONFDIR)

	$(INSTALL) -o $(BINOWNER) -g $(BINGROUP) -m 755 bimagemgr.pl $(DESTDIR)$(CGIDIR)
	$(INSTALL) -o $(BINOWNER) -g $(BINGROUP) -m 750 create_cdimage_table.pl $(DESTDIR)$(SYSCONFDIR)
	$(INSTALL) -o $(BINOWNER) -g $(BINGROUP) -m 644 README $(DESTDIR)$(SYSCONFDIR)/README.bimagemgr
	$(INSTALL) -o $(BINOWNER) -g $(BINGROUP) -m 644 bimagemgr.gif $(DESTDIR)$(DOCDIR)
	$(INSTALL) -o $(BINOWNER) -g $(BINGROUP) -m 644 cdrom_spins.gif $(DESTDIR)$(DOCDIR)
	$(INSTALL) -o $(BINOWNER) -g $(BINGROUP) -m 644 clearpixel.gif $(DESTDIR)$(DOCDIR)
	$(INSTALL) -o $(DATAOWNER) -g $(DATAGROUP) -m 664 temp.html $(DESTDIR)$(DOCDIR)

uninstall:
	rm -f $(DESTDIR)$(DOCDIR)/bimagemgr.gif
	rm -f $(DESTDIR)$(DOCDIR)/cdrom_spins.gif
	rm -f $(DESTDIR)$(DOCDIR)/clearpixel.gif
	rm -f $(DESTDIR)$(DOCDIR)/temp.html
	rm -f $(DESTDIR)$(SYSCONFDIR)/create_cdimage_table.pl
	rm -f $(DESTDIR)$(CGIDIR)/bimagemgr.pl
	rm -f $(DESTDIR)$(SYSCONFDIR)/README.bimagemgr

## bacula 1.36.2

=== src/win32/console/Makefile ===
#
# Makefile to build the native Win32 console
# VC++ and tools must be on your path
#
#     Kern Sibbald, April 2004
#

NMAKE=nmake

first_rule: all

dummy:

all:  console


console:
	(env MAKEFLAGS= ${NMAKE} CFG="console - Win32 Release" /f console.mak)


clean:
	rm -rf Debug/*.obj Release/*.obj

distclean: clean

=== src/win32/wx-console/Makefile ===
#
# Makefile to build the native Win32 console
# VC++ and tools must be on your path
#
#     Kern Sibbald, June 2004
#

NMAKE=nmake

first_rule: all

dummy:

clean:
	rm -rf Debug/*.obj Release/*.obj

distclean: clean

## bacula 1.36.3

=== doc/latex/Makefile ===
#
#
#  Makefile for LaTeX  
#
# To build everything do
#    make tex
#    make links
#    make all
#    make web
#    make html
#    make pdf
#
# or simply
#
#    make
#

IMAGES=../images

#  bacula  -- special case below
#  running -- special case below
#  developers -- special case below

#
# Note, these are all parts of the manual not in any
#  particular order (mostly alphabetic). The order they
#  appear in the manual is defined in bacula.tex
#
# Note also that certain of these chapters are in the 
#  bacula.tex manual, and others in the developers.tex 
#  manual.
#
MANUAL = \
   autochangers bootstrap bugs catalog \
   catmaintenance configure consoleconf console critical \
   daemonprotocol dirdconf director disk faq filedconf file \
   firewalls gpl install internaldb kaboom lesser \
   license messagesres monitorconf mysql oldfileset pools \
   porting postgresql progs projects quickstart recycling \
   regression rescuefloppy rescue restore rpm-faq \
   security spooling sqlite state storage \
   storedconf strategies stunnel \
   requirements supportedoses supporteddrives tapetesting \
   thanks tips vars verify win32 \
   daemonprotocol gui-interface \
   supportedchangers \
   md5 mediaformat mempool netprotocol porting smartall


first_rule: bacula developers

bacula: tex web html dvipdf

# Note, assume bacula manual was built first
#  I've removed devhtml so that the resulting files
#  (images) do not conflict with the main manual
developers: devtex devweb devpdf

.SUFFIXES:     .tex .html
.PHONY:
.DONTCARE:


tex:
	@cp -fp ${IMAGES}/hires/*.eps .
	@touch baculai-dir.tex baculai-fd.tex baculai-sd.tex \
	     baculai-console.tex baculai-general.tex
	-latex -interaction=batchmode bacula.tex
	makeindex bacula.idx -o bacula.ind 2>/dev/null
	makeindex bacula.ddx -o bacula.dnd >/dev/null 2>/dev/null
	makeindex bacula.fdx -o bacula.fnd >/dev/null 2>/dev/null
	makeindex bacula.sdx -o bacula.snd >/dev/null 2>/dev/null
	makeindex bacula.cdx -o bacula.cnd >/dev/null 2>/dev/null
	-latex -interaction=batchmode bacula.tex
	@rm -f *.eps *.old


devtex:
	@cp -fp ${IMAGES}/hires/*.eps .
	-latex -interaction=batchmode developers.tex
	makeindex developers.idx >/dev/null 2>/dev/null
	-latex -interaction=batchmode developers.tex
	@rm -f *.eps *.old

pdf:
	@echo "Making pdfm"
	@cp -fp ${IMAGES}/hires/*.eps .
	dvipdfm -p a4 bacula.dvi
	@rm -f *.eps *.old

dvipdf:
	@echo "Making dvi to pdf"
	@cp -fp ${IMAGES}/hires/*.eps .
	dvipdf bacula.dvi bacula.pdf
	@rm -f *.eps *.old


devpdf:
	@echo "Making developers pdf"
	@cp -fp ${IMAGES}/hires/*.eps .
	dvipdf developers.dvi developers.pdf
	@rm -f *.eps *.old

devpdfm:
	@echo "Making pdfm"
	@cp -fp ${IMAGES}/hires/*.eps .
	dvipdfm -p a4 developers.dvi
	@rm -f *.eps *.old

html:
	@echo "Making html"
	@cp -fp ${IMAGES}/*.eps .
	latex2html -white -no_subdir -split 0 -toc_stars -white -notransparent \
		bacula >/dev/null
	./translate_images.pl bacula.html
	@rm -f *.eps *.gif *.jpg

devhtml:
	@echo "Making developers html"
	@cp -fp ${IMAGES}/*.eps .
	latex2html -white -no_subdir -split 0 -toc_stars -white -notransparent \
		developers >/dev/null
	./translate_images.pl developers.html
	@rm -f *.eps *.gif *.jpg *.old


web:
	@echo "Making web"
	@mkdir -p bacula
	@rm -rf bacula/*
	@cp -fp ${IMAGES}/*.eps .
	@rm -f next.eps next.png prev.eps prev.png up.eps up.png
#	@cp -fp ${IMAGES}/*.eps  ${IMAGES}/*.png *.txt bacula
	@cp -fp ${IMAGES}/*.eps *.txt bacula
	@rm -f bacula/next.eps bacula/next.png bacula/prev.eps bacula/prev.png bacula/up.eps bacula/up.png
	latex2html -split 4 -local_icons -t "Bacula User's Guide" -long_titles 4 \
		-toc_stars -contents_in_nav -white -notransparent bacula >/dev/null
	./translate_images.pl bacula/Bacula_Users_Guide.html
	@cp -f bacula/Bacula_Users_Guide.html bacula/index.html
	@cp -f bacula/Bacula_Freque_Asked_Questi.html bacula/faq.html 
	@rm -f *.eps *.gif *.jpg bacula/*.eps *.old

devweb:
	@echo "Making developers web"
	@mkdir -p developers
	@rm -f developers/*
	@cp -fp ${IMAGES}/*.eps .
	@rm -f next.eps next.png prev.eps prev.png up.eps up.png
	@cp -fp ${IMAGES}/*.eps ${IMAGES}/*.png *.txt developers
	@rm -f developers/next.eps developers/next.png developers/prev.eps developers/prev.png developers/up.eps developers/up.png
	latex2html -split 5 -local_icons -t "Developer's Guide" -auto_nav -long_titles 4 \
		-contents_in_nav -toc_stars -white -notransparent developers >/dev/null
	./translate_images.pl developers/Developers_Guide.html
	@cp -f developers/Developers_Guide.html developers/index.html
	@rm -f *.eps *.gif *.jpg developers/*.eps  *.old

texcheck:
	./check_tex.pl bacula.tex
	./check_tex.pl developers.tex

main_configs:
	pic2graph -density 100 <main_configs.pic >main_configs.png

clean:
	@rm -f 1 2 3
	@rm -f *.png *.gif *.jpg *.eps
	@rm -f *.pdf *.aux *.cp *.fn *.ky *.log *.pg
	@rm -f *.html *.backup *.pdf *.ps *.dvi *.ilg *.lof *.lot
	@rm -f *.cdx *.cnd *.ddx *.ddn *.fdx *.fnd *.ind *.sdx *.snd
	@rm -f *.dnd
	@rm -f *.old WARNINGS *.out *.toc *.idx
	@rm -f images.pl labels.pl internals.pl
	@rm -rf bacula developers
	@rm -f baculai-dir.tex baculai-fd.tex baculai-sd.tex \
	     baculai-console.tex baculai-general.tex images.tex developersi.tex


distclean:  clean
	@rm -f bacula.html bacula.pdf developers.html developers.pdf

## bacula 2.2.4-0packman1~edgy1

=== debian/changelog ===
bacula (2.2.4-0packman1~edgy1) edgy; urgency=low

  * New upstream release

 -- Marc Schiffbauer <marc@links2linux.de>  Sat, 15 Sep 2007 04:57:25 +0200

bacula (2.2.3-0packman1~edgy1) edgy; urgency=low

  * New upstream version
  * Ubuntu edgy backport
  * Enable ssl support
  * Enable static qwt for bat (feisty has no libqwt5)

 -- Marc Schiffbauer <marc@links2linux.de>  Thu, 13 Sep 2007 16:04:08 +0200

bacula (2.2.0-1) unstable; urgency=low

  * Update debian/copyright from LICENSE.
  * Disable OpenSSL support due to licensing concerns
    See thread at
    http://lists.debian.org/debian-legal/2007/07/msg00144.html
  * Applied updated Vietnamese translation from Clytie Siddall.
    Closes: #427042.
  * Following changes prepared by Mark Hymers <mhy@debian.org>:
    * New upstream version.  Closes: #438806.
      * make_catalog_backup script now takes a host parameter.  
        Closes: #419885.
    * Deal with moving wx-console.conf to bwx-console.conf
    * Add new bacula-console-qt package.
    * Update Standards-Version to 3.7.2.  No changes required.
    * Remove postgresql-dev Build-Dep.  Closes: #429963.
    * Make binNMU safe.  Based on patch from Lior Kaplan.  Closes: #430106.
    * Re-order postgresql-client Depends.  Closes: #419311.
    * Remove libwxgtk2.4-dev Build-Depends.  Closes: #425159.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 24 Aug 2007 02:13:34 -0500

bacula (2.0.3-4) unstable; urgency=low

  * Applied patches from upstream:
    2.0.3-ampm
    2.0.3-maxbyteslist
    2.0.3-maxwaittime
    2.0.3-schedule-next-hour
  * Rebuild fixes binNMU problems.  Closes: #419843.
  * Added README.Debian to bacula-common.  (It was already installed
    in bacula).  This should make it easier to find.  Closes: #418498.
  * Documented upgrade procedure in README.Debian.
  * Don't try to rebuild configs when there is no need to and
    when the source is unavailable.  Closes: #420197, #413145.
  * Fix typo in bacula-sd manpage.  Closes: #417571.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 23 Apr 2007 07:09:31 -0500

bacula (2.0.3-3) unstable; urgency=low

  * Make postrm scripts more versatile.  Closes: #416649.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 13 Apr 2007 03:13:05 -0500

bacula (2.0.3-2) unstable; urgency=low

  * Finally upload to unstable.
  * Added note to README.Debian about /etc/bacula/scripts
    and multiple versions of PostgreSQL.  Closes: #383357.
  * Added dep from bacula-director-common on mailx, and drop explicit
    deps on mail-transport-agent.  Closes: #386920.
  * Version 2.0.x now properly initializes supplemental groups.
    Closes: #391492.  (This should have been closed in 2.0.2-1 upload)
  * Properly remove password in sqlite/sqlite3 postinsts.
    Closes: #404866.
  * Consoles connect to localhost by default.  Closes: #404868, #407081.
  * Don't munge make_catalog_backup in bacula-dir.conf.  Closes: #407082.
  * Remove spurious dep from bacula-director-pgsql on sqlite3.
    Closes: #396921.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 13 Mar 2007 10:40:14 -0500

bacula (2.0.3-1) experimental; urgency=low

  * New upstream release.
  * Local manpage bug should have been closed with 2.0.2-1.
    Closes: #367643.

 -- John Goerzen <jgoerzen@complete.org>  Wed,  7 Mar 2007 03:40:37 -0600

bacula (2.0.2-1) experimental; urgency=low

  * New upstream release.  Closes: #408381.
  * Upstream has dropped Gnome console.  Closes: #391820.
  * Remove debian/manpages since manpages are now shipped upstream.
    Modify debian/*.manpages to reference these files.
  * debian/ support for automatically upgrading database to v10.
  * Updated German translation.  Closes: #406547.
  * Removed references to obsolete docs.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 23 Feb 2007 08:21:36 -0600

bacula (1.38.11-8) unstable; urgency=high

  * Rebuild to fix earlier binNMU.   Closes: #411652.
  * debian/control switched to suggested source:Version approach from
    debian-devel.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 22 Feb 2007 12:58:55 -0600

bacula (1.38.11-7) unstable; urgency=low

  * ACK NMU.  Closes: #394605.
  * New Japanese translation thanks to Hideky Yamane.  Closes: #392638.
  * New Czech translation from Jakup Kasparec.  Closes: #392680.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 27 Oct 2006 08:39:46 -0500

bacula (1.38.11-6.1) unstable; urgency=low

  * Remove explicit build dependency on python2.3.

 -- Matthias Klose <doko@debian.org>  Fri, 27 Oct 2006 05:47:35 +0200

bacula (1.38.11-6) unstable; urgency=high

  * Only call dbconfig-common if it exists in maintainer scripts.
    Closes: #388220, #388222.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 22 Sep 2006 10:06:22 -0500

bacula (1.38.11-5) unstable; urgency=high

  * Added missing shlibs:Depends for bacula-director-pgsql.  Closes: #384837.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 27 Aug 2006 18:48:24 -0500

bacula (1.38.11-4) unstable; urgency=high

  * Rebuild against newer libmysql15-dev.  Closes: #384433.
  * Build build-dep on libmysql15-dev.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 25 Aug 2006 13:52:24 -0500

bacula (1.38.11-3) unstable; urgency=high

  * Update postrm to new dbconfig-common method.  Closes: #383142.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 21 Aug 2006 09:19:49 -0500

bacula (1.38.11-2) unstable; urgency=low

  * Updated Brazilian Portugese translation from Felipe August van de Wiel.
    Closes: #373992.
  * Updated Dutch translation from Kurt De Bree.  Closes: #375128.
  * New Portugese translation from Rui Branco.  Closes: #380675.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 12 Aug 2006 09:40:36 -0500

bacula (1.38.11-1) unstable; urgency=low

  * New upstream release
  * Update debian/copyright with new upstream LICENSE
  * Add Suggests on bacula-doc

 -- John Goerzen <jgoerzen@complete.org>  Fri, 30 Jun 2006 08:02:36 -0500

bacula (1.38.10-2) unstable; urgency=low



## bacula 2.2.4-0packman1~feisty1

=== src/win32/dll/Makefile ===
#
# Makefile for win32 bacula executables
# Using MinGW cross-compiler on GNU/Linux
#
#  Written by Robert Nelson, June 2006
#

include ../Makefile.inc

INCLUDES = \
	$(INCLUDE_PTHREADS) \
	$(INCLUDE_BACULA) \
	$(INCLUDE_ZLIB) \
	$(INCLUDE_OPENSSL)

DEFINES = \
	$(HAVES)

vpath %.c ../compat ../../findlib ../../lib
vpath %.cpp ../compat ../../findlib ../../lib

######################################################################

# Files files in src/lib

COMPAT_OBJS = \
	$(OBJDIR)/compat.o \
	$(OBJDIR)/print.o \
	$(OBJDIR)/winapi.o

#	$(OBJDIR)/getopt.o \

FIND_OBJS = \
	$(OBJDIR)/attribs.o \
	$(OBJDIR)/bfile.o \
	$(OBJDIR)/create_file.o \
	$(OBJDIR)/drivetype.o \
	$(OBJDIR)/enable_priv.o \
	$(OBJDIR)/find.o \
	$(OBJDIR)/find_one.o \
	$(OBJDIR)/fstype.o \
	$(OBJDIR)/makepath.o \
	$(OBJDIR)/match.o \
	$(OBJDIR)/save-cwd.o

LIB_OBJS = \
	$(OBJDIR)/address_conf.o \
	$(OBJDIR)/alist.o \
	$(OBJDIR)/attr.o \
	$(OBJDIR)/base64.o \
	$(OBJDIR)/berrno.o \
	$(OBJDIR)/bget_msg.o \
	$(OBJDIR)/bnet.o \
	$(OBJDIR)/bnet_server.o \
	$(OBJDIR)/bpipe.o \
	$(OBJDIR)/breg.o \
	$(OBJDIR)/bregex.o \
	$(OBJDIR)/bsock.o \
	$(OBJDIR)/bsnprintf.o \
	$(OBJDIR)/bsys.o \
	$(OBJDIR)/btime.o \
	$(OBJDIR)/btimers.o \
	$(OBJDIR)/cram-md5.o \
	$(OBJDIR)/crc32.o \
	$(OBJDIR)/crypto.o \
	$(OBJDIR)/daemon.o \
	$(OBJDIR)/dlist.o \
	$(OBJDIR)/edit.o \
	$(OBJDIR)/enh_fnmatch.o \
	$(OBJDIR)/fnmatch.o \
	$(OBJDIR)/hmac.o \
	$(OBJDIR)/htable.o \
	$(OBJDIR)/idcache.o \
	$(OBJDIR)/jcr.o \
	$(OBJDIR)/lex.o \
	$(OBJDIR)/md5.o \
	$(OBJDIR)/mem_pool.o \
	$(OBJDIR)/message.o \
	$(OBJDIR)/openssl.o \
	$(OBJDIR)/pythonlib.o \
	$(OBJDIR)/queue.o \
	$(OBJDIR)/rblist.o \
	$(OBJDIR)/runscript.o \
	$(OBJDIR)/rwlock.o \
	$(OBJDIR)/scan.o \
	$(OBJDIR)/serial.o \
	$(OBJDIR)/sha1.o \
	$(OBJDIR)/signal.o \
	$(OBJDIR)/smartall.o \
	$(OBJDIR)/tls.o \
	$(OBJDIR)/tree.o \
	$(OBJDIR)/util.o \
	$(OBJDIR)/var.o \
	$(OBJDIR)/watchdog.o \
	$(OBJDIR)/workq.o

DLL_OBJS = \
	$(COMPAT_OBJS) $(FIND_OBJS) $(LIB_OBJS)

STATIC_OBJS = \
	$(OBJDIR)/parse_conf.o \
	$(OBJDIR)/res.o

ALL_OBJS = \
	$(DLL_OBJS) $(STATIC_OBJS)

LIBS_DLL = \
	$(LIBS_SSL) \
	$(LIBS_CRYPTO) \
	$(LIBS_PTHREADS) \
	$(LIBS_ZLIB) \
	-lwsock32 \
	-lole32 \
	-loleaut32 \
	-luuid

######################################################################

# Targets

.PHONY: all clean

all: $(BINDIR)/bacula.dll $(LIBDIR)/libbacula.a

clean:
	@echo "Cleaning `pwd`"
	$(call clean_obj,$(ALL_OBJS))
	$(call clean_exe,$(BINDIR)/bacula.dll)
	$(ECHO_CMD)rm -f $(OBJDIR)/bacula.a $(LIBDIR)/libbacula.a

#
# Rules for generating from ../lib
#

$(LIBDIR)/libbacula.a: DLL_DEFINE=USING_DLL

$(LIBDIR)/libbacula.a: $(BINDIR)/bacula.dll $(STATIC_OBJS)
	@echo "Updating archive $@"
	$(call checkdir,$@)
	$(ECHO_CMD)cp $(OBJDIR)/bacula.a $@
	$(ECHO_CMD)$(AR) rsv $@ $(filter %.o,$^)

$(BINDIR)/bacula.dll: DLL_DEFINE=BUILDING_DLL

$(BINDIR)/bacula.dll: $(DLL_OBJS) bacula.def
	@echo "Linking $@"
	$(call checkdir,$@)
	$(ECHO_CMD)$(CXX) $(LDFLAGS) -mdll -mwindows -Wl,--out-implib,$(OBJDIR)/bacula.a $^ $(LIBS_DLL) -o $@

include ../Makefile.rules

$(OBJDIR)/%.o: %.c
	@echo "Compiling $<"
	$(call checkdir,$@)
	$(ECHO_CMD)$(CXX) -D$(DLL_DEFINE) $(CFLAGS) -c $< -o $@

$(OBJDIR)/%.o: %.cpp
	@echo "Compiling $<"
	$(call checkdir,$@)
	$(ECHO_CMD)$(CXX) -D$(DLL_DEFINE) $(CFLAGS) -c $< -o $@

=== debian/changelog ===
bacula (2.2.4-0packman1~feisty1) feisty; urgency=low

  * New upstream release

 -- Marc Schiffbauer <marc@links2linux.de>  Sat, 15 Sep 2007 04:17:09 +0200

bacula (2.2.3-0packman1~feisty1) feisty; urgency=low

  * New upstream version
  * Ubuntu feisty backport
  * Enable ssl support
  * Enable static qwt for bat (feisty has no libqwt5)

 -- Marc Schiffbauer <marc@links2linux.de>  Thu, 13 Sep 2007 16:04:08 +0200

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for Bacula
# based upon dh_make template, copyright 1997 by Joey Hess.
#

#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -g -Wall
INSTALL_PROGRAM = install

SHELL := bash

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif


VARIANTS := sqlite sqlite3 pgsql mysql

######################################################################

NAME=bacula

# The variant that is used when we install non-variant-specific stuff.
# Only bother building extra consoles and stuff for this one.
DEFAULTVARIANT := sqlite
TEMPLATES = $(wildcard debian/*.templates)
BUILDDIR := $(CURDIR)/debian/tmp-build
INSTALLDIR := $(CURDIR)/debian/tmp-install
DEFAULTINSTALLDIR := $(INSTALLDIR)-$(DEFAULTVARIANT)
DBC := usr/share/dbconfig-common/data/

CONF_ALL	= --enable-smartalloc \
	--with-python --with-tcp-wrappers \
	--with-libiconv-prefix=/usr/include --with-readline=yes \
	--with-libintl-prefix=/usr/include --with-x --with-readline=yes --with-openssl

CONF_common	= --disable-gnome --disable-bwx-console --disable-tray-monitor \
			--disable-bat

CONF_sqlite	= --with-sqlite --without-mysql --without-postgresql --without-sqlite3 \
			--enable-bwx-console --enable-tray-monitor --enable-bat --with-qwt=/tmp/qwt

CONF_sqlite3	= --with-sqlite3 --without-mysql --without-postgresql --without-sqlite $(CONF_common)
CONF_mysql	= --with-mysql --without-sqlite --without-postgresql --without-sqlite3 $(CONF_common)
CONF_pgsql	= --with-postgresql --without-sqlite --without-mysql --without-sqlite3 $(CONF_common)

###########################################################################

extract: extract-stamp
extract-stamp: $(foreach s,$(VARIANTS),extract-stamp-$(s))
extract-stamp-%:
	@echo " *** DEBIAN *** VARIANT $(*): EXTRACTING to $(BUILDDIR)-$(*)"
	mkdir $(BUILDDIR)-$(*)
	tar -cSf - --exclude=./_darcs --exclude=./debian . | tar -xSpf - -C $(BUILDDIR)-$(*)
	touch $@

configure-stamp-%: extract-stamp-%
	dh_testdir

	# fix bogus/broken arch detection in bacula configure script
	cd $(BUILDDIR)-$(*) && sed -i 's|if test -d.*/lib64.*; then|if [ "`dpkg --print-architecture`" == "x86_64" ]; then|g' configure

	# qwt hack until we have libqwt5 available (needed only for bat)
	if [ "$(*)" == "sqlite" ]; then \
		echo " *** DEBIAN *** building static qwt lib for bat"; \
		test -f /tmp/depkgs-qt.tar.gz \
		|| wget http://switch.dl.sourceforge.net/sourceforge/bacula/depkgs-qt-30Jul07.tar.gz -O /tmp/depkgs-qt.tar.gz; \
		tar xzf /tmp/depkgs-qt.tar.gz; \
		cd depkgs-qt; make qwt; \
		echo $(BUILDDIR); \
		ln -fvs `pwd`/qwt /tmp/qwt; \
	fi

	@echo " *** DEBIAN *** CONFIGURING VARIANT $*"
	cp /usr/share/misc/config.guess /usr/share/misc/config.sub \
		$(BUILDDIR)-$(*)/autoconf/
	cd $(BUILDDIR)-$(*) && \
	 	QMAKE=/usr/bin/qmake-qt4 $(SHELL) ./configure --config-cache \
		--host=${DEB_HOST_GNU_TYPE} --build=${DEB_BUILD_GNU_TYPE} \
		--prefix=/usr \
		--sysconfdir=/etc/bacula --with-scriptdir=/etc/bacula/scripts \
		--sharedstatedir=/var/lib/bacula \
		--localstatedir=/var/lib/bacula \
		--with-pid-dir=/var/run/bacula --with-smtp-host=localhost \
		--with-working-dir=/var/lib/bacula \
		--with-subsys-dir=/var/lock \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		$(CONF_ALL) $(CONF_$(*))
	touch $@

build-stamp-%: configure-stamp-%
	dh_testdir
	@echo " *** DEBIAN *** BUILDING VARIANT $*"

# Main building process
	$(MAKE) -C $(BUILDDIR)-$(*)

# Grrr... client-only does not build needed db-independent 'bsmtp', 'stored'
	$(MAKE) -C $(BUILDDIR)-$(*)/src/tools
	$(MAKE) -C $(BUILDDIR)-$(*)/src/stored

	chmod 755 debian/additions/postinst-common
	chmod 755 debian/additions/bconsole

	touch $@

build-arch: build-stamp
build-stamp: $(foreach v,$(VARIANTS),build-stamp-$(v))
	touch $@

build-indep: build-indep-stamp
build-indep-stamp:
	dh_testdir

	touch $@


build: patch build-arch build-indep debian/po/templates.pot

###############################################
# Cleaning macro
###############################################

define clean-upstream
dh_testdir
dh_testroot
$(RM) config.cache
#Grrr... clean up after building "servers"
-for subdir in src/cats src/dird src/stored src/tools \
	scripts/logwatch scripts po; do \
	$(MAKE) -C $$subdir distclean; \
done

# Add here commands to clean up after the build process.
-$(MAKE) distclean
endef

clean:
	$(clean-upstream)

	$(RM) autoconf/config.cache autoconf/config.sub	autoconf/config.guess autoconf/config.log config.log
	$(RM) *stamp*

	dh_clean

	$(RM) -r debian/tmp* debian/bacula-doc po/Makefile po/Makefile.in \
		bacula-dir logwatch/Makefile  scripts/devel_bacula \
		scripts/disk-changer scripts/bacula-tray-monitor.desktop \
		src/cats/create_sqlite3_database \
		src/cats/drop_sqlite3_database src/cats/drop_sqlite3_tables \
		src/cats/grant_sqlite3_privileges src/cats/make_sqlite3_tables \
		src/cats/update_sqlite3_tables autoconf/config.log

	-for dir in src/tconsole src/gnome-console src/gnome2-console src/wx-console \
		scripts platforms src/win32 src/win32/pebuilder \
		src/tray-monitor src/stored scripts/logwatch \
		rescue rescue/solaris rescue/freebsd \
		rescue/linux rescue/linux/cdrom rescue/linux/floppy; do \
			$(RM) $$dir/Makefile ;\
	done
	$(RM) src/win32/*.nsi

	## delete all remaining config files
	$(RM) `find src -name '*.conf'`

	## delete ${FLAVORED_BINARIES} 
	$(RM) $(foreach pkg,$(VARIANTS), src/dird/bacula-dir.$(pkg) src/tools/dbcheck.$(pkg) src/stored/bscan.$(pkg) src/stored/bcopy.$(pkg))

	#-$(MAKE) -C doc/latex clean

	$(RM) build-arch-flavor-stamp

	$(RM) config.status config.cache config.log config.out
	$(RM) autoconf/Make.common Makefile
	$(RM) dbcheck bscan bcopy

	$(RM) patch-stamp


debian/po/templates.pot: $(TEMPLATES)
	@debconf-updatepo

# Macro to extract a here document and put it in place
# args: 1 -- db name, 2 -- file to extract, 3 -- version
define ext-upgrade
debian/patches/extract_here < $(2) > debian/bacula-director-$(1)/$(DBC)/bacula-director-$(1)/upgrade/$(1)/$(3)
endef

# Macro to extract a here document for install and put it in place
# args: 1 -- db name, 2 -- file to extract
# We append so we can do the postgresql hack for datestyle
define ext-install
debian/patches/extract_here < $(2) > debian/bacula-director-$(1)/$(DBC)/bacula-director-$(1)/install/$(1)
endef

install: build install-stamp
install-stamp: build-stamp $(foreach v,$(VARIANTS),install-stamp-$(v))
	dh_installdirs -a
	dh_install -pbacula-director-common

	dh_install -pbacula-fd
	dh_install -pbacula-console -pbacula-console-wx -pbacula-console-qt
	cp $(DEFAULTINSTALLDIR)/usr/sbin/bconsole debian/bacula-console/usr/sbin/bacula-console
	cp $(DEFAULTINSTALLDIR)/usr/sbin/bwx-console debian/bacula-console-wx/usr/bin/bacula-console-wx
	cp debian/tmp-build-$(DEFAULTVARIANT)/src/qt-console/bat debian/bacula-console-qt/usr/bin/bat


######### dbconfig-common stuff
# PostgreSQL
# Releases prior to 2.0 put update scripts in updatedb.
# 2.0.0 now has it in src/cats without a version number.
# Will need to watch this on the next upgrade (also check it with mysql)
	$(call ext-upgrade,pgsql,updatedb/update_postgresql_tables_7_to_8,1.36.0)
	$(call ext-upgrade,pgsql,updatedb/update_postgresql_tables_8_to_9,1.38.0)
	$(call ext-upgrade,pgsql,debian/tmp-build-pgsql/src/cats/update_postgresql_tables,2.0.0)
	echo "ALTER DATABASE _DBC_DBNAME_ SET datestyle TO 'ISO, YMD';" > \
		debian/bacula-director-pgsql/$(DBC)/bacula-director-pgsql/install-dbadmin/pgsql
	$(call ext-install,pgsql,debian/tmp-build-pgsql/src/cats/make_postgresql_tables)
# MySQL
	$(call ext-upgrade,mysql,updatedb/update_mysql_tables_6_to_7,1.32f-5)

=== debian/watch ===
version=2
http://prdownloads.sourceforge.net/bacula/bacula-?_?([\w+\d+\.]+|\d+)(\.tar|\.tgz)(\.gz|\.bz2|) debian uupdate

## bacula 2.2.5-0packman1~edgy1

=== debian/Makefile ===
#
#
.PHONY:	dummy

SUBDIRS=additions manpages patches po


tidy:	dummy
	rm -f *~

mrproper:	tidy
	for dir in ${SUBDIRS}; do $(MAKE) -C $$dir tidy; done

=== debian/changelog ===
bacula (2.2.5-0packman1~edgy1) edgy; urgency=low

  * New upstream release
  * Fixed minor SQL bug in dird/newvol.c:127

 -- Marc Schiffbauer <marc@links2linux.de>  Tue, 16 Oct 2007 01:04:42 +0200

=== debian/control ===
Source: bacula
Section: utils
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: autotools-dev, debhelper (>= 4.2), po-debconf (>= 0.8.2), 
 zlib1g-dev, libreadline5-dev | libreadline-dev, libjconv-dev,
 libsqlite0-dev, libsqlite3-dev, libmysqlclient15-dev (>= 5.0.24-1) | libmysqlclient14-dev, libpq-dev, 
 libwrap0-dev, python-dev, 
 libgnome2-dev, libwxgtk2.6-dev, libacl1-dev, libkrb5-dev, libgnomeui-dev,
 libx11-dev, mtx, bc, libxt-dev, dpkg-dev (>= 1.13.19), libqt4-dev, wget, libssl-dev
Build-Conflicts: python2.2-dev, python2.3
Standards-Version: 3.7.2

Package: bacula
Architecture: all
Depends: bacula-server, bacula-client
Suggests: bacula-doc
Description: Network backup, recovery and verification (Meta-package)
 Bacula is a set of computer programs that permit you (or the system
 administrator) to manage backup, recovery and verification of computer data
 across a network of computer of different kinds.
 .
 Bacula is relatively easy to use and efficient, while offering many advanced
 storage management features that make it easy to find and recover lost or
 damaged files. Due to its modular design, Bacula is scalable from small single 
 computer systems to systems consisting of hundreds of computers located over 
 a large network.
 .
 This meta-package provides the entire suite of bacula applications:
 job scheduling, storage control, node connector, and administrative console.

Package: bacula-common
Architecture: all
Pre-Depends: debconf (>= 1.4.30) | debconf-2.0
Depends: adduser (>= 3.0)
Suggests: bacula-doc
Description: Network backup, recovery and verification (Common Support files)
 Bacula is a set of computer programs that permit you to manage backup,
 recovery, and verification of computer data across a network of computers
 of different kinds. 

Package: bacula-director-common
Architecture: any
Pre-Depends: debconf (>= 1.4.30) | debconf-2.0, bacula-common (= ${source:Version})
Depends: ${shlibs:Depends}, adduser, mailx
Description: Network backup, recovery and verification (Director common files)
 Bacula is a set of computer programs that permit you to manage backup,
 recovery, and verification of computer data across a network of computers
 of different kinds.

Package: bacula-director-sqlite
Architecture: any
Pre-Depends: debconf (>= 1.4.30) | debconf-2.0
Depends: bacula-director-common (= ${binary:Version}), sqlite, ${shlibs:Depends}
Conflicts: bacula-director
Provides: bacula-director
Replaces: bacula-director
Description: Network backup, recovery and verification (Director daemon)
 The Bacula Director service supervises all the backup, restore, verify and
 archive operations. The system administrator uses the Director to schedule
 backups and to recover files.
 The Director can run as a daemon or as a service (i.e. in the foreground)
 .
 This version stores Bacula's Catalog in an SQLite database, and thus is
 suited for smaller installations.
 
Package: bacula-director-sqlite3
Pre-Depends: debconf (>= 1.4.30) | debconf-2.0
Architecture: any
Depends: bacula-director-common (= ${binary:Version}), sqlite3, ${shlibs:Depends}
Conflicts: bacula-director
Provides: bacula-director
Replaces: bacula-director
Description: Network backup, recovery and verification (Director daemon)
 The Bacula Director service supervises all the backup, restore, verify and
 archive operations. The system administrator uses the Director to schedule
 backups and to recover files.
 The Director can run as a daemon or as a service (i.e. in the foreground)
 .
 This version stores Bacula's Catalog in an SQLite3 database, and thus is
 suited for smaller installations.
 
Package: bacula-director-mysql
Architecture: any
Pre-Depends: debconf (>= 1.4.30) | debconf-2.0
Depends: bacula-director-common (= ${binary:Version}), dbconfig-common (>= 1.8.19), mysql-client, ${shlibs:Depends}
Conflicts: bacula-director
Provides: bacula-director
Replaces: bacula-director
Recommends: mysql-server (>= 4.0)
Description: Network backup, recovery and verification (Director daemon)
 The Bacula Director service supervises all the backup, restore, verify and
 archive operations. The system administrator uses the Director to schedule
 backups and to recover files.
 The Director can run as a daemon or as a service (i.e. in the foreground)
 .
 This version stores Bacula's Catalog in a MySQL server, and thus is suited
 for largish installations.

Package: bacula-director-pgsql
Pre-Depends: debconf (>= 1.4.30) | debconf-2.0
Architecture: any
Depends: bacula-director-common (= ${binary:Version}), dbconfig-common (>= 1.8.19), postgresql-client (>= 7.4) | postgresql-client-8.1 | postgresql-client-7.4 , ${shlibs:Depends}
Conflicts: bacula-director
Provides: bacula-director
Replaces: bacula-director
Recommends: postgresql-8.1 | postgresql-8.0 | postgresql (>= 7.4)
Suggests: postgresql-contrib, postgresql-doc
Description: Network backup, recovery and verification (Director daemon)
 The Bacula Director service supervises all the backup, restore, verify and
 archive operations. The system administrator uses the Director to schedule
 backups and to recover files.
 The Director can run as a daemon or as a service (i.e. in the foreground)
 .
 This version stores Bacula's Catalog in a PostgreSQL server, and thus is 
 suited for largish installations.

Package: bacula-client
Architecture: all
Depends: bacula-console (= ${binary:Version}), bacula-fd (= ${binary:Version})
Recommends: bacula-traymonitor
Description: Network backup, recovery and verification (Client meta-package)
 Minimal Bacula system client (File Daemon and Console only)

Package: bacula-fd
Architecture: any
Depends: bacula-common (= ${source:Version}), ${shlibs:Depends}
Suggests: bacula-traymonitor
Description: Network backup, recovery and verification (Filer daemon)
 This program has to be installed in the machine to be backed up. It is
 responsible for providing the file attributes and data when requested by
 the Director, and also for the filesystem-dependent part of restoration.
 .
 There is a Win32 version of this program available for download from
 Bacula's website: www.bacula.org

Package: bacula-server
Architecture: all
Depends: bacula-director-sqlite3 (= ${binary:Version})|bacula-director, bacula-sd (= ${binary:Version}), bacula-sd-sqlite3 (= ${binary:Version})|bacula-sd-tools
Recommends: bacula-fd
Description: Network backup, recovery and verification (Server meta-package)
 Bacula system server: SQL-based catalog (SQLite, MySQL, or PgSQL) and 
 Storage Daemon, for a single machine (medium-sized deployment)
 .
 This meta-package provides an standard server install, comprising Director
 and Storage daemons.

Package: bacula-sd
Architecture: any
Pre-Depends: bacula-common (= ${source:Version})
Depends: ${shlibs:Depends}, mtx, python
Recommends: mt-st, bacula-sd-tools
Suggests: dds2tar, scsitools, sg3-utils
Description: Network backup, recovery and verification (Storage daemon)
 This program performs the storage and recovery of the file attributes and 
 data to the physical backup media or volumes. In other words, it is
 responsible for reading and writing your tapes (or other storage media,
 such as files).
 .
 The Storage Daemon runs as a daemon on the machine which has the backup
 device(s) (usually a tape drive).

Package: bacula-sd-sqlite3
Architecture: any
Depends: bacula-sd (= ${binary:Version}), ${shlibs:Depends}
Conflicts: bacula-sd-tools, bacula-sd (<< 1.38.9)
Replaces: bacula-sd-tools, bacula-sd (<< 1.38.9)
Provides: bacula-sd-tools
Description: Network backup, recovery and verification (SD tools-SQLite3)
 This package contains the bscan and bcopy utilities, which are used for
 recovery when Bacula's catalog is unavailable.

Package: bacula-sd-sqlite
Architecture: any
Depends: bacula-sd (= ${binary:Version}), ${shlibs:Depends}
Conflicts: bacula-sd-tools, bacula-sd (<< 1.38.9)
Replaces: bacula-sd-tools, bacula-sd (<< 1.38.9)
Provides: bacula-sd-tools
Description: Network backup, recovery and verification (SD tools-SQLite)
 This package contains the bscan and bcopy utilities, which are used for
 recovery when Bacula's catalog is unavailable.

Package: bacula-sd-mysql
Architecture: any
Depends: bacula-sd (= ${binary:Version}), ${shlibs:Depends}
Conflicts: bacula-sd-tools, bacula-sd (<< 1.38.9)
Replaces: bacula-sd-tools, bacula-sd (<< 1.38.9)
Provides: bacula-sd-tools
Description: Network backup, recovery and verification (SD tools-MySQL)
 This package contains the bscan and bcopy utilities, which are used for
 recovery when Bacula's catalog is unavailable.

Package: bacula-sd-pgsql
Architecture: any
Depends: bacula-sd (= ${binary:Version}), ${shlibs:Depends}
Conflicts: bacula-sd-tools, bacula-sd (<< 1.38.9)
Replaces: bacula-sd-tools, bacula-sd (<< 1.38.9)
Provides: bacula-sd-tools
Description: Network backup, recovery and verification (SD tools-PostgreSQL)
 This package contains the bscan and bcopy utilities, which are used for
 recovery when Bacula's catalog is unavailable.

Package: bacula-console
Architecture: any
Pre-Depends: debconf (>= 1.4.30)
Depends: bacula-common (= ${source:Version}), ${shlibs:Depends}
Description: Network backup, recovery and verification (Mgmt. Console)
 The Console allows the administrator or user to communicate with the
 Bacula Director. This is the TTY version.

Package: bacula-console-wx
Provides: bacula-wxconsole
Replaces: bacula-wxconsole
Conflicts: bacula-wxconsole
Architecture: any
Pre-Depends: debconf (>= 1.4.30)
Depends: bacula-common (= ${source:Version}), ${shlibs:Depends}
Description: Network backup, recovery and verification (Console, Gnome version)
 The WX-Console allows the administrator or user to communicate with the
 Bacula Director. It provides a graphical interface to the backup/restore
 operations.
 .
 This GUI interface has been designed to ease restore operations as much as
 possible as compared to the "conventional" console.
 .
 There is a Win32 version of this program available for download from
 Bacula's website: www.bacula.org

Package: bacula-console-qt
Architecture: any
Pre-Depends: debconf (>= 1.4.30)
Depends: bacula-common (= ${source:Version}), ${shlibs:Depends}
Description: Network backup, recovery and verification (Console, Qt version)
 The Bacula QT-Console (known as bat) allows the administrator or user to
 communicate with the  Bacula Director. It provides a graphical interface
 to the backup/restore operations.
 .
 This GUI interface has been designed to ease restore operations as much as
 possible as compared to the "conventional" console.

Package: bacula-traymonitor
Architecture: any
Depends: ${shlibs:Depends}, bacula-common (= ${source:Version})
Recommends: kde|desktop-environment
Description: Network backup, recovery and verification (Tray monitor)
 The tray monitor for bacula; FreeDesktop standard's compatible
 .

=== debian/rules ===
--- 
+++ 
@@ -77,9 +77,9 @@
 	if [ "$(*)" == "sqlite" ]; then \
 		echo " *** DEBIAN *** building static qwt lib for bat"; \
 		test -f /tmp/depkgs-qt.tar.gz \
-		|| wget http://switch.dl.sourceforge.net/sourceforge/bacula/depkgs-qt-30Jul07.tar.gz -O /tmp/depkgs-qt.tar.gz; \
-		tar xzf /tmp/depkgs-qt.tar.gz; \
-		cd depkgs-qt; make qwt; \
+		|| wget http://heanet.dl.sourceforge.net/sourceforge/bacula/depkgs-09Sep07.tar.gz -O /tmp/depkgs.tar.gz; \
+		tar xzf /tmp/depkgs.tar.gz; \
+		cd depkgs; make qwt; \
 		echo $(BUILDDIR); \
 		ln -fvs `pwd`/qwt /tmp/qwt; \
 	fi

## bacula 2.2.5-0packman1~feisty1

=== debian/changelog ===
bacula (2.2.5-0packman1~feisty1) feisty; urgency=low

  * New upstream version
  * Fixed minor SQL bug in dird/newvol.c:127

 -- Marc Schiffbauer <marc@links2linux.de>  Wed, 17 Oct 2007 15:06:27 +0200

=== debian/rules ===
--- 
+++ 
@@ -76,8 +76,8 @@
 	# qwt hack until we have libqwt5 available (needed only for bat)
 	if [ "$(*)" == "sqlite" ]; then \
 		echo " *** DEBIAN *** building static qwt lib for bat"; \
-		test -f /tmp/depkgs-qt.tar.gz \
-		|| wget http://heanet.dl.sourceforge.net/sourceforge/bacula/depkgs-09Sep07.tar.gz -O /tmp/depkgs.tar.gz; \
+		test -f /tmp/depkgs.tar.gz \
+		|| wget http://switch.dl.sourceforge.net/sourceforge/bacula/depkgs-09Sep07.tar.gz -O /tmp/depkgs.tar.gz; \
 		tar xzf /tmp/depkgs.tar.gz; \
 		cd depkgs; make qwt; \
 		echo $(BUILDDIR); \
